a {
    text-decoration: none;
    color: red;
}

a:hover {
    background-color: red;
    color: white;
    text-decoration: underline;
}
a:active {
    text-decoration: none;
    color: orange;
}
a:visited {
    text-decoration: none;
    color: green;
}
a:focus {
    text-decoration: underline;
    color: blue;
}